/*
 * Copyright (c) 2007 NTT DATA Corporation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.terasoluna.thin.functionsample.messageex.bean;

/**
 * 格納順序パラメータークラス
 *
 */
public class MessageExScopeParam {

    /**
     * 1番メッセージ順序
     */
    private Integer code1;
    /**
     * 2番メッセージ順序
     */
    private Integer code2;
    /**
     * 3番メッセージ順序
     */
    private Integer code3;
    /**
     * 4番メッセージ順序
     */
    private Integer code4;
    /**
     * 1番メッセージ順序を取得する。
     * @return 1番メッセージ順序
     */
    public Integer getCode1() {
        return code1;
    }
    /**
     * 1番メッセージ順序を設定する。
     * @param code1 1番メッセージ順序
     */
    public void setCode1(Integer code1) {
        this.code1 = code1;
    }
    /**
     * 2番メッセージ順序を取得する。
     * @return 2番メッセージ順序
     */
    public Integer getCode2() {
        return code2;
    }
    /**
     * 2番メッセージ順序を設定する。
     * @param code2 2番メッセージ順序
     */
    public void setCode2(Integer code2) {
        this.code2 = code2;
    }
    /**
     * 3番メッセージ順序を取得する。
     * @return 3番メッセージ順序
     */
    public Integer getCode3() {
        return code3;
    }
    /**
     * 3番メッセージ順序を設定する。
     * @param code3 3番メッセージ順序
     */
    public void setCode3(Integer code3) {
        this.code3 = code3;
    }
    /**
     * 4番メッセージ順序を取得する。
     * @return code4
     */
    public Integer getCode4() {
        return code4;
    }
    /**
     * 4番メッセージ順序を設定する。
     * @param code4 4番メッセージ順序
     */
    public void setCode4(Integer code4) {
        this.code4 = code4;
    }
}